<Gauge Name="FMC" Version="1.0" Author="Ken Mitchell">


   <Element>
      <Visible>(A:Circuit general panel on, bool) (L:FMC, bool) &amp;&amp;</Visible>
      <!--===============FMC 1 ============= -->

   <Element>
      <Visible>(L:FMC_SWITCH, enum) 0 ==</Visible>
            <Image Name="FMC_1.bmp" Bright="Yes"/>

      <Element>
         <Position X="116" Y="13"/>
         <Text X="68" Y="12" Bright="Yes" Length="8" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:ATC FLIGHT NUMBER, string))%!s!%</String>
         </Text>
      </Element>

      <Element>
         <Position X="116" Y="41"/>
         <Text X="68" Y="12" Bright="Yes" Length="10" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:GPS IS ACTIVE WAY POINT, bool))%{if}%((A:GPS WP NEXT ID, string))%!s!%{end}</String>
         </Text>
      </Element>

      <Element>
         <Position X="116" Y="71"/>
         <Text X="68" Y="12" Bright="Yes" Length="10" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:GPS WP DISTANCE, nautical miles) abs)%!4.1f!</String>
         </Text>
      </Element>


      <Element>
         <Position X="116" Y="103"/>
         <Text X="68" Y="12" Bright="Yes" Length="10" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:GPS IS ACTIVE WAY POINT, bool))%{if}%((A:GPS WP ETA, hours) flr 100 %)%!02d!:%((A:GPS WP ETA, minutes) flr 60 %)%!02d!%{end}</String>
         </Text>
      </Element>

      <Element>
         <Position X="116" Y="132"/>
         <Text X="68" Y="12" Bright="Yes" Length="10" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:GPS WP DESIRED TRACK, degrees) d360)%!03d!%</String>

         </Text>
      </Element>

      <Element>
         <Position X="116" Y="162"/>
         <Text X="68" Y="12" Bright="Yes" Length="10" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:GPS WP TRUE BEARING, degrees) d360)%!03d!%</String>
         </Text>
      </Element>


      </Element>


      <!--===============FMC 2 ============= -->

   <Element>
      <Visible>(L:FMC_SWITCH, enum) 1 ==</Visible>
      <Image Name="FMC_2.bmp" Bright="Yes"/>

         <Element>
         <Position X="116" Y="13"/>
            <Text X="68" Y="12" Bright="Yes" Length="4" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:AIRSPEED TRUE, knots) abs)%!3.0f!</String>
            </Text>
         </Element>

         <Element>
         <Position X="116" Y="41"/>
            <Text X="68" Y="12" Bright="Yes" Length="4" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:GPS GROUND SPEED, knots) abs)%!3.0f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="71"/>
            <Text X="68" Y="12" Bright="Yes" Length="4" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:GPS GROUND TRUE HEADING, degrees))%!3.0f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="103"/>
            <Text X="68" Y="12" Bright="Yes" Length="4" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:GPS GROUND TRUE TRACK, degrees))%!3.0f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="132"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:INDICATED ALTITUDE, feet))%!5.0f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="162"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:RADIO HEIGHT, feet))%!5.0f!</String>
            </Text>
         </Element>


   </Element>

      <!--===============FMC 3 ============= -->

   <Element>
      <Visible>(L:FMC_SWITCH, enum) 2 ==</Visible>
      <Image Name="FMC_3.bmp" Bright="Yes"/>

         <Element>
         <Position X="116" Y="13"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:SEA LEVEL PRESSURE, inHg))%!2.2f!</String>
            </Text>
         </Element>

         <Element>
         <Position X="116" Y="41"/>
            <Text X="68" Y="12" Bright="Yes" Length="6" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:SEA LEVEL PRESSURE, mbar))%!4.1f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="71"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:Ambient Temperature,farenheit))%!3.1f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="103"/>
            <Text X="68" Y="12" Bright="Yes" Length="4" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:Ambient Temperature,Celsius))%!2.1f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="132"/>
            <Text X="68" Y="12" Bright="Yes" Length="3" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:AMBIENT WIND DIRECTION, degrees) abs)%!003.0f!</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="162"/>
            <Text X="68" Y="12" Bright="Yes" Length="3" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
               <String>%((A:AMBIENT WIND VELOCITY, knots) abs)%!03.0f!</String>
            </Text>
         </Element>


   </Element>

      <!--===============FMC 4 ============= -->

   <Element>
      <Visible>(L:FMC_SWITCH, enum) 3 ==</Visible>
      <Image Name="FMC_4.bmp" Bright="Yes"/>

         <Element>
         <Position X="116" Y="13"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((P:ZULU TIME, hours) flr 100 %)%!02d!:%((P:ZULU TIME, minutes) flr 60 %)%!02d!%</String>
            </Text>
         </Element>

         <Element>
         <Position X="116" Y="41"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((P:LOCAL TIME, hours) flr 100 %)%!02d!:%((P:LOCAL TIME, minutes) flr 60 %)%!02d!%</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="71"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
           <String>%((A:GPS IS ACTIVE WAY POINT, bool))%{if}%((A:GPS WP ETA, hours) flr 100 %)%!02d!:%((A:GPS WP ETA, minutes) flr 60 %)%!02d!%{end}</String>
            </Text>
         </Element>

        <Element>
         <Position X="116" Y="103"/>
            <Text X="68" Y="12" Bright="Yes" Length="5" Font="Arial" Color="#00FE5A" Adjust="Center" VerticalAdjust="Center" Multiline="No" Fixed="No">
         <Axis X="0" Y="6"/>
            <String>%((A:GPS IS ACTIVE WAY POINT, bool))%{if}%((A:GPS ETA, hours) flr 100 %)%!02d!:%((A:GPS ETA, minutes) flr 60 %)%!02d!%{end}</String>
            </Text>
         </Element>


   </Element>

      <!--===============FMC 5 ============= -->

   <Element>
      <Visible>(L:FMC_SWITCH, enum) 4 ==</Visible>
      <Image Name="FMC_5.bmp" Bright="Yes"/>



   </Element>
   </Element>
</Gauge>
